%define upstream_name    SQL-SplitStatement
%define upstream_version 1.00020

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Split any SQL code into atomic statements
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(SQL::Tokenizer)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildArch: noarch

%description
This is a simple module which tries to split any SQL code, even including
non-standard extensions (for the details see the the /SUPPORTED DBMSs
manpage section below), into the atomic statements it is composed of.

The logic used to split the SQL code is more sophisticated than a raw
'split' on the ';' (semicolon) character: first, various different
statement terminator _tokens_ are recognized (see below for the list), then
this module is able to correctly handle the presence of said tokens inside
identifiers, values, comments, 'BEGIN ... END' blocks (even nested),
_dollar-quoted_ strings, MySQL custom 'DELIMITER's, procedural code etc.,
as (partially) exemplified in the the /SYNOPSIS manpage above.

Consider however that this is by no means a validating parser (technically
speaking, it's just a _context-sensitive tokenizer_). It should rather be
seen as an in-progress _heuristic_ approach, which will gradually improve
as test cases will be reported. This also means that, except for the the
/LIMITATIONS manpage detailed below, there is no known (to the author) SQL
code the most current release of this module can't correctly split.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE INSTALL META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/sql-split
/usr/share/man/man1/sql-split.1.xz



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.200-4.mga8
+ Revision: 1497211
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.200-3.mga7
+ Revision: 1271219
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.200-2.mga6
+ Revision: 1033334
- Rebuild for perl 5.22.2

* Tue Dec 22 2015 doktor5000 <doktor5000> 1.0.200-1.mga6
+ Revision: 913477
- imported package perl-SQL-SplitStatement


* Tue Dec 22 2015 cpan2dist 1.00020-1mga
- initial mageia release, generated with cpan2dist
